Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::CueSheet::Track Class Reference

`#include <metadata.h>`

List of all members.

## Public Methods
| Track ()
| Track (const::FLAC__StreamMetadata_CueSheet_Track *track)
| Track (const Track &track)
void | operator= (const Track &track)
virtual | ~Track ()
virtual bool | is_valid () const
FLAC__uint64 | get_offset () const
FLAC__byte | get_number () const
const char * | get_isrc () const
unsigned | get_type () const
bool | get_pre_emphasis () const
FLAC__byte | get_num_indices () const
::FLAC__StreamMetadata_CueSheet_Index | get_index (unsigned i) const
const::FLAC__StreamMetadata_CueSheet_Track * | get_track () const
void | set_offset (FLAC__uint64 value)
void | set_number (FLAC__byte value)
void | set_isrc (const char value[12])
void | set_type (unsigned value)
void | set_pre_emphasis (bool value)
void | set_index (unsigned i, const::FLAC__StreamMetadata_CueSheet_Index &index)
## Protected Attributes
::FLAC__StreamMetadata_CueSheet_Track * | object_

## Detailed Description

Convenience class for encapsulating a cue sheet track.

Always check is_valid() after the constructor or operator= to make sure memory was properly allocated.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h